List storefront deployments

Returns build/deployment information for the storefront.

Returns information about the current storefront deployments. If the storefront uses an external provider (not Heroku), only the externalStorefront field is returned.

Requires the storefront:deployments:read or storefront.read permission.

Request

GET /storefront/deployments

Headers

HeaderValue
AuthorizationBearer <token>

Response

When the storefront uses an external provider:

{
  "externalStorefront": "https://my-storefront.vercel.app"
}

When using Heroku-managed deployments, returns build information including the most recent builds and their statuses.

Example Response (Heroku-managed)

[
  {
    "id": "build-uuid-abc",
    "status": "succeeded",
    "created_at": "2026-03-15T10:23:00Z",
    "updated_at": "2026-03-15T10:25:30Z",
    "source_blob": {
      "version": "main"
    }
  }
]
Response
200

OK

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!